// ==UserScript==
// @name        Fix Input Dark Theme
// @author      Jesús E. & Enmanuel E.
// @namespace   fixForMyDarkTheme
// @description Scan all inputs and add a inherit color option for not blind inputs in your dark theme
// @homepageURL https://libregit.spks.xyz/heckyel/book/src/branch/master/scripts-greasemonkey
// @include     *
// @grant       none
// @version     0.0.1
// @license     GPL version 3 or any later version::: https://www.gnu.org/licenses/gpl-3.0.html
// ==/UserScript==
/* jshint esversion: 6 */

function fixForMyDarkTheme(){

    let i, inputs;

    inputs = document.getElementsByTagName('input');

    for (i = 0; i < inputs.length; i++) {

        inputs[i].style.color='inherit';

    }

}

fixForMyDarkTheme();

// ohm ... m(-_-)m ... thanks
